##
##  autoconf-archive.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2024 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_opkg 20241016
%define       V_dist 2024.10.16

#   package information
Name:         autoconf-archive
Summary:      Autoconf Macro Archive
URL:          http://www.gnu.org/software/autoconf-archive/
Vendor:       Peter Simons et al.
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Building
License:      GPL
Version:      %{V_opkg}
Release:      20241017

#   list of sources
Source0:      http://ftp.halifax.rwth-aachen.de/gnu/autoconf-archive/autoconf-archive-%{V_dist}.tar.xz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101, autoconf

%description
    The Autoconf Macro Archive aims to provide a collection of reusable
    Autoconf macros as free software. The archive currently features
    more than 400 macros which perform portability tests ranging
    from compiler support for weird language extensions to automatic
    generation of sophisticated Automake rules.

%track
    prog autoconf-archive = {
        version   = %{V_dist}
        url       = http://ftp.halifax.rwth-aachen.de/gnu/autoconf-archive/
        regex     = autoconf-archive-(__VER__)\.tar\.xz
    }

%prep
    %setup -q -n autoconf-archive-%{V_dist}

%build
    ./configure \
        --prefix=%{l_prefix} \
        --infodir=%{l_prefix}/info
    %{l_make} %{l_mflags}

%install
    %{l_make} %{l_mflags} install AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/share/autoconf-archive
    rm -f $RPM_BUILD_ROOT%{l_prefix}/info/dir
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

